> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/vaults/get-the-job-status-of-the-bulk-deposit-address-creation",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get the job status of the bulk deposit address creation

> Returns the current status of (or an error for) the specified deposit addresss bulk creation job.

**Endpoint Permissions:** Admin, Non-Signing Admin, Signer, Approver, Editor, and Viewer.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /vault/accounts/addresses/bulk/{jobId}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /vault/accounts/addresses/bulk/{jobId}:
    get:
      tags:
        - Vaults
      summary: Get the job status of the bulk deposit address creation
      description: >
        Returns the current status of (or an error for) the specified deposit
        addresss bulk creation job.


        **Endpoint Permissions:** Admin, Non-Signing Admin, Signer, Approver,
        Editor, and Viewer.
      operationId: getCreateMultipleDepositAddressesJobStatus
      parameters:
        - in: path
          name: jobId
          required: true
          description: The ID of the job to create addresses
          schema:
            type: string
          example: 019681b4-107d-7243-942d-4c3c30e36fae
      responses:
        '200':
          description: A Job with status
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateMultipleDepositAddressesJobStatus'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<CreateMultipleDepositAddressesJobStatus>>
            =
            fireblocks.vaults.getCreateMultipleDepositAddressesJobStatus(vaultsApiGetCreateMultipleDepositAddressesJobStatusRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<CreateMultipleDepositAddressesJobStatus>>
            response =
            fireblocks.vaults().getCreateMultipleDepositAddressesJobStatus(jobId);
        - lang: Python
          source: >-
            response =
            fireblocks.vaults.get_create_multiple_deposit_addresses_job_status(job_id);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    CreateMultipleDepositAddressesJobStatus:
      type: object
      properties:
        status:
          type: string
          description: Status of the job. Possible values - Success, In Progress, Failed
          example: Success
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/NewAddress'
          example:
            - address: >-
                addr_test1qp07k5kdwdfx4rpfqud8ry65acxgtgfgrxw0t35cwvl4uasjneqjdc868eqlex5p2f0nyekyyk4ze5xuanvj50ysrj3qqxqhsn
              index: 0
              description: Address one
        errorMessage:
          type: string
          example: Asset not supported
      required:
        - status
    NewAddress:
      type: object
      properties:
        address:
          type: string
          description: The address string.
          example: >-
            addr_test1qp07k5kdwdfx4rpfqud8ry65acxgtgfgrxw0t35cwvl4uasjneqjdc868eqlex5p2f0nyekyyk4ze5xuanvj50ysrj3qqxqhsn
        index:
          type: integer
          description: The index of the address in the list.
          example: 0
        description:
          type: string
          description: A description of the address.
          example: Address one
      required:
        - address
        - index
        - description
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````